#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gtk/gtk.h>
#include <sys/statfs.h>
#include <sys/stat.h>
#include <libsmbclient.h>

#include "Logo_s.h"

#include "globals.h"
#include "menus.h"
#include "dialogs.h"
#include "calls.h"
#include "functions.h"

#include "interface.c"

#include "menus.c"
#include "dialogs.c"
#include "calls.c"
#include "functions.c"

gint main(gint argc, gchar **argv)
{
	GtkWidget *Book;
	GtkWidget *VBox;
	GdkPixbuf *Pix;
	
	g_thread_init(NULL);
	gdk_threads_init();	
	gtk_init(&argc, &argv);
	
	Home_Path = getenv("HOME");
	sprintf(Config_file_name, "%s/g2sc.conf", Home_Path);
//	File_Encoding = getenv("G_FILENAME_ENCODING");
	
	Main_Window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	g_signal_connect(Main_Window, "destroy", G_CALLBACK(Call_Main_Quit), NULL);
	gtk_window_set_title(GTK_WINDOW(Main_Window), "GTK+-2 Samba Client");
	Pix = gdk_pixbuf_new_from_inline(-1, SLOGO, FALSE, NULL);
	gtk_window_set_default_icon(Pix);
	gtk_widget_set_size_request(Main_Window, 400, 350);
	
	VBox = gtk_vbox_new(FALSE, 1);
	gtk_container_set_border_width(GTK_CONTAINER(VBox), 0);
	gtk_container_add(GTK_CONTAINER(Main_Window), VBox);
	
	gtk_box_pack_start(GTK_BOX(VBox), Create_Menu(), FALSE, FALSE, 0);

	Book = gtk_notebook_new();
	Add_Book_Page(Book, Make_Browse(), "Browser");
	Add_Book_Page(Book, Make_Search(), "Searcher");
	Add_Book_Page(Book, Make_Download(), "Downloader");
	gtk_box_pack_start(GTK_BOX(VBox), Book, TRUE, TRUE, 0);
	
	gtk_box_pack_start(GTK_BOX(VBox), Create_Statusbar(), FALSE, FALSE, 0);

	gtk_widget_show_all(Main_Window);

	config_init();
	
	smbc_init(auth_fn, 0);	
	
	gdk_threads_enter();
	gtk_main();
	gdk_threads_leave();
	
	return 0;
}

